#ifndef MESSAGENODE_HPP_INCLUDED
#define MESSAGENODE_HPP_INCLUDED

#include "CacheableNode.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>
#include <string>

namespace Internal
{
    class MessageNode : public CacheableNode
    {
        public:
            MessageNode();
            MessageNode(const void* Obj);
            MessageNode(const MessageNode& M);
            static Class GetClass();

            std::int32_t GetID() const;
            std::string GetName() const;
            std::string GetSender() const;
            std::string GetText() const;
            std::int32_t GetTick() const;
            std::int32_t GetType() const;

    };
}

#endif // MESSAGENODE_HPP_INCLUDED
